* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  font-family: 'Roboto', sans-serif;
  background-color: #e8eaed;
}

body.nav-closed nav {
  display: none;
}
body.nav-closed #content::before {
  content: none;
}



header {
  width: 100%;
  position: fixed;
  top: 0;
  z-index: 10;
  background-color: #fff;
  padding: 8px 24px;
  box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.3);
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
}

.burger-container {
  appearance: none;
  border: none;
  background: transparent;
  width: 40px;
  cursor: pointer;
  margin-right: 8px;
}

.burger-container img {
  transform: rotate(180deg);
  width: 100%;
}

.header-left {
  display: flex;
}

.socials {
  display: flex;
  align-items: center;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.socials li a {
  display: inline-block;
  margin-left: 10px;
}

.social-icon {
  width: 25px;
}

.social-icon.tiktok,
.social-icon.email {
  width: 21px;
}

.social-icon.twitter {
  position: relative;
  right: -2px;
}

.logo-text {
  display: flex;
  align-items: center;
}

.home-link {
  color: #000;
  text-decoration: none;
  display: flex;
  align-items: center;
}

.logo-text-bold {
  font-weight: 700;
  font-size: 22px;
  margin: 0 8px
}

.logo-text-nonbold {
  color: #202124;
}

.nav-title {
  font-weight: bold;
  color: #595959;
  font-size: 14px;
  margin: 0 0 6px 24px;
}

nav {
  position: fixed;
  z-index: 5;
  width: 330px;
  height: 100vh;
  top: 0;
  padding-top: 65px;
  background-color: #fff;
  box-shadow: 1px -1px 5px rgba(0, 0, 0, 0.4);
  overflow-y: scroll;
}

nav ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  font-size: 13.5px;
  margin-bottom: 25px;
}

nav ul li:hover,
nav ul li.current {
  background-color: #f1f3f4;
}

nav ul li a {
  box-sizing: border-box;
  text-decoration: none;
  color: #202124;
  display: inline-block;
  padding: 5px 8px 5px 24px;
  width: 100%;
}

nav ul li.current a {
  color: #185abc;
  font-weight: bold;
}

.external-link::after {
  content: '';
  display: inline-block;
  width: 10px;
  height: 10px;
  background-image: url('/images/icon-link-out.png');
  background-size: 10px 10px;
  margin-left: 5px;
  opacity: .75;
}

#content {
  display: flex;
}

#content::before {
  content: '';
  width: 330px;
  height: 10%;
  display: block;
}

article {
  margin: 0 auto;
  max-width: 820px;
  margin-top: 75px;
  margin-bottom: 100px;
  background-color: #fff;
  padding: 30px;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1),
              -2px -2px 5px rgba(0, 0, 0, 0.1),
              -2px 2px 5px rgba(0, 0, 0, 0.1),
              2px -2px 5px rgba(0, 0, 0, 0.1);

}

#article-head {
  display: grid;
  grid-template-columns: auto 166px;
  column-gap: 20px;
}

#article-head h1 {
  margin: 0 0 14px 0;
  font-size: 32px;
  line-height: 40px;
}

#article-info {
  display: flex;
}

#avatar-container img {
  width: 40px;
  margin-right: 6px;
  border-radius: 50%;
}

#author {
  font-weight: bold;
  margin-bottom: 2px;
}

#date {
  color: #5a5a5a;
  font-size: 12px;
}

#article-body {
  font-size: 15px;
  line-height: 22px;
}

article img { max-width: 100%; }
article .article-body-image-wrapper { cursor: default; }


@media (max-width: 1280px) {
  article {
    max-width: 775px;
  }
}

@media (max-width: 1200px) {
  #content::before {
    content: none;
  }

  article {
    max-width: 750px;
  }
}


@media (max-width: 500px) {
  header { 
    padding: 8px;
  }

  .logo {
    height: 20px;
    width: 20px;
  }

  .desktop-logo-text {
    display: none;
  }

  .logo-text-bold {
    font-size: 20px;
  }

  .logo-text-nonbold {
    font-size: 14px;
  }

  article {
    max-width: 100%;
    margin-top: 60px;
    padding: 20px;
  }

  #article-head {
    display: block;
  }

  #article-head h1 {
    font-size: 26px;
    line-height: 30px;
  }

  pre.highlight {
    overflow-x: scroll;
    padding-right: 14px;
  }

  pre code {
    font-size: 13.5px;
    line-height: 17px;
  }

  img {
    width: 100%;
    height: auto;
  }
}


